Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ws.rs.core
Class EntityTag

    java.lang.Object
      javax.ws.rs.core.EntityTag

    public class EntityTag

extends java.lang.Object

An abstraction for the value of a HTTP Entity Tag, used as the value of an ETag response header.

See Also:
  HTTP/1.1 section 3.11

Constructor Summary
`EntityTag(java.lang.String value)` Creates a new instance of a strong EntityTag.
`EntityTag(java.lang.String value, boolean weak)` Creates a new instance of an EntityTag

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares obj to this tag to see if they are the same considering weakness and value.
`java.lang.String` | `getValue()` Get the value of an EntityTag
`int` | `hashCode()` Generate hashCode based on value and weakness.
`boolean` | `isWeak()` Check the strength of an EntityTag
`java.lang.String` | `toString()` Convert the entity tag to a string suitable for use as the value of the corresponding HTTP header.
`static EntityTag` | `valueOf(java.lang.String value)` Creates a new instance of EntityTag by parsing the supplied string.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityTag

    public EntityTag(java.lang.String value)

  Creates a new instance of a strong EntityTag.

  Parameters:
    `value` - the value of the tag, quotes not included.
  Throws:
    `java.lang.IllegalArgumentException` - if value is null

### EntityTag

    public EntityTag(java.lang.String value,
                     boolean weak)

  Creates a new instance of an EntityTag

  Parameters:
    `value` - the value of the tag, quotes not included.
    `weak` - true if this represents a weak tag, false otherwise
  Throws:
    `java.lang.IllegalArgumentException` - if value is null

Method Detail

### valueOf

    public static EntityTag valueOf(java.lang.String value)
                             throws java.lang.IllegalArgumentException

  Creates a new instance of EntityTag by parsing the supplied string.

  Parameters:
    `value` - the entity tag string
  Returns:
    the newly created EntityTag
  Throws:
    `java.lang.IllegalArgumentException` - if the supplied string cannot be parsed or is null

### isWeak

    public boolean isWeak()

  Check the strength of an EntityTag

  Returns:
    true if this represents a weak tag, false otherwise

### getValue

    public java.lang.String getValue()

  Get the value of an EntityTag

  Returns:
    the value of the tag

### equals

    public boolean equals(java.lang.Object obj)

  Compares obj to this tag to see if they are the same considering weakness and value.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to compare to
  Returns:
    true if the two tags are the same, false otherwise.

### hashCode

    public int hashCode()

  Generate hashCode based on value and weakness.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    the hashCode

### toString

    public java.lang.String toString()

  Convert the entity tag to a string suitable for use as the value of the corresponding HTTP header.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a stringified entity tag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.